package tariff_internal

import "github.com/gofiber/fiber/v2"

func (t *TariffInternal) Register(router fiber.Router) {
	router.Get("/:id", t.Get)
	router.Get("/getList", t.GetList)
	router.Post("/", t.Create)
	router.Delete("/", t.Delete)
	router.Put("/:id", t.Update)
	router.Post("/restore", t.Restore)
}

func (t *TariffInternal) Name() string {
	return "tariff"
}
