package tools

import "gitea.pena/PenaSide/tariffs/internal/models"

func FormattingPrivilege(current []models.Privilege) []models.PrivilegeResponse {
	result := make([]models.PrivilegeResponse, len(current))
	for i, cur := range current {
		result[i] = models.PrivilegeResponse{
			Name:        cur.Name,
			PrivilegeID: cur.PrivilegeID,
			ServiceKey:  cur.ServiceKey,
			Description: cur.Description,
			Type:        cur.Type,
			Value:       cur.Value,
			Price:       cur.Price,
			Amount:      cur.Amount,
		}
	}

	return result
}
