package models

type CreateUpdateReq struct {
	Name        string  `json:"name"`
	PrivilegeId string  `json:"privilegeId"`
	ServiceKey  string  `json:"serviceKey"`
	Description string  `json:"description"`
	Type        string  `json:"type"`
	Value       string  `json:"value"`
	Price       float64 `json:"price"`
}

type ManyCreateUpdate struct {
	Privileges []CreateUpdateReq `json:"privileges"`
}

type TariffPagination struct {
	TotalPages int             `json:"totalPages"`
	Tariffs    []TariffGetList `json:"tariffs"`
}
